Package com.smartgwt.client.widgets.drawing.events

# Class MovedEvent

java.lang.Object
com.google.web.bindery.event.shared.Event<H>
com.google.gwt.event.shared.GwtEvent<H>
com.smartgwt.client.event.AbstractSmartEvent<MovedHandler>
com.smartgwt.client.widgets.drawing.events.MovedEvent

public class MovedEvent extends AbstractSmartEvent<MovedHandler>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

  `GwtEvent.Type<H extends Object>`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MovedEvent(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `dispatch(MovedHandler handler)`
  `static <S extends HasMovedHandlers & HasHandlers>
  void`
  `fire(S source, JavaScriptObject jsObj)`
  Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
  `final GwtEvent.Type<MovedHandler>`
  `getAssociatedType()`
  `int`
  `getDeltaX()`
  horizontal difference between current and previous position
  `int`
  `getDeltaY()`
  vertical difference between current and previous position
  `DrawItem`
  `getFiringDrawItem()`
  Returns the `DrawItem` firing the event.
  `static GwtEvent.Type<MovedHandler>`
  `getType()`
  Gets the type associated with this event.

  ### Methods inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `getFiringInstanceAsJavaScriptObject`

  ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

  `assertLive, getSource, isLive, kill, revive`

  ### Methods inherited from class com.google.web.bindery.event.shared.Event

  `setSource, toDebugString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MovedEvent

    public MovedEvent(JavaScriptObject jsObj)

- ## Method Details

  - ### getFiringDrawItem

    public DrawItem getFiringDrawItem()
    Returns the `DrawItem` firing the event.
    Returns:
      DrawItem firing the event

  - ### fire

    public static <S extends HasMovedHandlers & HasHandlers> void fire(S source, JavaScriptObject jsObj)
    Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    Type Parameters:
      `S` - The event source
    Parameters:
      `source` - the source of the handlers
      `jsObj` - the native event

  - ### getType

    public static GwtEvent.Type<MovedHandler> getType()
    Gets the type associated with this event.
    Returns:
      returns the handler type

  - ### dispatch

    protected void dispatch(MovedHandler handler)
    Specified by:
      `dispatch` in class `GwtEvent<MovedHandler>`

  - ### getAssociatedType

    public final GwtEvent.Type<MovedHandler> getAssociatedType()
    Specified by:
      `getAssociatedType` in class `GwtEvent<MovedHandler>`

  - ### getDeltaX

    public int getDeltaX()
    horizontal difference between current and previous position
    Returns:
      horizontal difference between current and previous position

  - ### getDeltaY

    public int getDeltaY()
    vertical difference between current and previous position
    Returns:
      vertical difference between current and previous position